selenium启动浏览器报错os.path.basename(self.path), self.start_error_message) selenium.common.exceptions.Web

今天发现用selenium启动firefox浏览器报错,发现原因是没有安装驱动,所以把这个问题记录下来

selenium启动firefox报错

from selenium import webdriver

driver = webdriver.Firefox()
driver.get("https://www.google.com/")
报错代码如下:

Traceback (most recent call last):
  File "D:\Program Files\Python35\lib\site-packages\selenium\webdriver\common\service.py", line 74, in start
    stdout=self.log_file, stderr=self.log_file)
  File "D:\Program Files\Python35\lib\subprocess.py", line 947, in __init__
    restore_signals, start_new_session)
  File "D:\Program Files\Python35\lib\subprocess.py", line 1224, in _execute_child
    startupinfo)
FileNotFoundError: [WinError 2] 系统找不到指定的文件。

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\Administrator\Desktop\count.py", line 3, in <module>
    driver = webdriver.Firefox()
  File "D:\Program Files\Python35\lib\site-packages\selenium\webdriver\firefox\webdriver.py", line 145, in __init__
    self.service.start()
  File "D:\Program Files\Python35\lib\site-packages\selenium\webdriver\common\service.py", line 81, in start
    os.path.basename(self.path), self.start_error_message)
selenium.common.exceptions.WebDriverException: Message: 'geckodriver' executable needs to be in PATH. 
最后找到了解决办法如下:

1、下载geckodriver.exe:




下载地址:github.com/mozilla/geck
请根据系统版本选择下载;(如Windows 64位系统)
2、下载解压后将getckodriver.exe复制到Firefox的安装目录下,如
(D:\Program Files\Mozilla Firefox),并在环境变量Path中添加路径:

D:\Program Files\Mozilla Firefox重启cmd或IDLE再次运行代码即可






发布了9 篇原创文章 · 获赞 10 · 访问量 5万+
展开阅读全文

新手--python3.5调用webdriver报错

03-22

脚本启动Fiefox报错 代码: # -*- coding:utf-8 -*- from selenium import webdriver browser = webdriver.Firefox() browser.get('http;//www.baidu.com') browser.find_element_by_id('kw').send_keys('selenium') browser.find_element_by_id('su').click() browser.quit() 报错信息: Traceback (most recent call last): File "C:\Users\hxx\AppData\Local\Programs\Python\Python35\lib\site-packages\selenium\webdriver\common\service.py", line 74, in start stdout=self.log_file, stderr=self.log_file) File "C:\Users\hxx\AppData\Local\Programs\Python\Python35\lib\subprocess.py", line 676, in __init__ restore_signals, start_new_session) File "C:\Users\hxx\AppData\Local\Programs\Python\Python35\lib\subprocess.py", line 955, in _execute_child startupinfo) FileNotFoundError: [WinError 2] 系统找不到指定的文件。 During handling of the above exception, another exception occurred: Traceback (most recent call last): File "E:/workspace/baidu.py", line 3, in <module> browser = webdriver.Firefox() File "C:\Users\hxx\AppData\Local\Programs\Python\Python35\lib\site-packages\selenium\webdriver\firefox\webdriver.py", line 145, in __init__ self.service.start() File "C:\Users\hxx\AppData\Local\Programs\Python\Python35\lib\site-packages\selenium\webdriver\common\service.py", line 81, in start os.path.basename(self.path), self.start_error_message) selenium.common.exceptions.WebDriverException: Message: 'geckodriver' executable needs to be in PATH. 问答

没有更多推荐了,返回首页

©️2019 CSDN 皮肤主题: 大白 设计师: CSDN官方博客

分享到微信朋友圈

×

扫一扫,手机浏览